Summary: Allows restricted root access for specified users.
Name: sudo
Version: 1.6.8p12
Release: 1tr
License: BSD
Group: Trustix Official
Source: http://www.courtesan.com/sudo/dist/sudo-%{version}.tar.gz
Patch0: sudo-1.6.8p12-CVE-2006-0151.patch
URL: http://www.courtesan.com/sudo/
BuildRequires: openldap-devel
BuildRoot: /var/tmp/%{name}-root

%description
Sudo (superuser do) allows a system administrator to give certain
users (or groups of users) the ability to run some (or all) commands
as root while logging all commands and arguments. Sudo operates on a
per-command basis.  It is not a replacement for the shell.  Features
include: the ability to restrict what commands a user may run on a
per-host basis, copious logging of each command (providing a clear
audit trail of who did what), a configurable timeout of the sudo
command, and the ability to use the same configuration file (sudoers)
on many different machines.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--with-logging=syslog \
	--with-logfac=authpriv \
	--with-pam \
	--with-ldap \
	--with-editor=/bin/vi \
	--with-env-editor \
	--with-ignore-dot \
	--with-tty-tickets
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir $RPM_BUILD_ROOT

%makeinstall

install -d -m 700 $RPM_BUILD_ROOT/var/run/sudo

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cat > $RPM_BUILD_ROOT/etc/pam.d/sudo << EOF
auth       required	pam_pwdb.so shadow
account    required	pam_pwdb.so
password   required	pam_cracklib.so
password   required	pam_pwdb.so shadow use_authtok
session    required	pam_pwdb.so
EOF

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc BUGS CHANGES HISTORY LICENSE README RUNSON TODO TROUBLESHOOTING *.pod
%config(noreplace) %attr(0440,root,root) /etc/sudoers
%config(noreplace) /etc/pam.d/sudo
%dir %attr(0700,root,root) /var/run/sudo
%attr(4111,root,root) /usr/bin/sudo
%attr(0111,root,root) /usr/sbin/visudo
%attr(0444,root,root) /usr/share/man/man5/sudoers.5*
%attr(0444,root,root) /usr/share/man/man8/sudo.8*
%attr(0444,root,root) /usr/share/man/man8/visudo.8*

%changelog
* Tue Feb 21 2006 Nived Gopalan <nived at trustix dot org> 1.6.8p12-1tr
- New Upstream
- SECURITY FIX: Tavis Ormandy has reported a vulnerability in Sudo caused
  due to an error within the environment cleaning. This can be exploited
  by a user with sudo access to a python script to gain access to an
  interactive python prompt via the "PYTHONINSPECT" environment variable.

  The Common Vulnerabilities and Exposures project has assigned the
  name  CVE-2006-0151 to this issue.

* Mon Jan 09 2006 Nived Gopalan <nived at trustix dot org> 1.6.8p9-3tr 
- SECURITY FIX: A vulnerability has been reported in Sudo caused due to
  an error within the environment cleaning. This can be exploited by a
  user with sudo access to a perl script to load and execute arbitrary
  library files via the "PERLLIB", "PERL5LIB" and the "PERL5OPT"
  environment variables.

  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2005-4158 to this issue.

* Mon Oct 31 2005 Bipin S <bipin at comodo dot com> 1.6.8p9-2tr
- SECURITY FIX: Tavis Ormandy has reported a vulnerability in Sudo,
  which can be exploited by malicious, local users to gain escalated
  privileges.
                                                                                                                             
  The vulnerability is caused due to an error within the environment
  cleaning. This can be exploited by a user with sudo access to a bash
  script to execute arbitrary commands via the "SHELLOPTS" and "PS4"
  environment variables
                                                                                                                             
  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CVE-2005-2959.

* Tue Jun 21 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.6.8p9-1tr
- New Upstream
- Fix A race condition in Sudo's command pathname handling that could allow a user
  with Sudo privileges to run arbitrary commands.

* Mon Feb 28 2005 Erlend Midttun <erlendbm at trustix dot org> 1.6.8p7-1tr
- New upstream.

* Wed Nov 17 2004 Erlend Midttun <erlendbm at trustix dot org> 1.6.8p3-1tr
- New upstream.

* Mon Nov 15 2004 Erlend Midttun <erlendbm at trustix dot org> 1.6.8p2-1tr
- New upstream.

* Fri Sep 17 2004 Erlend Midttun <erlendbm at trustix dot org> 1.6.8p1-1tr
- New upstream.

* Mon Dec  8 2003 Erlend Midttun <erlendbm at trustix dot org> 1.6.7p5-1tr
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.6.6-4tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.6.6-3em
- Rebuilt against glibc 2.3.2.

* Tue Aug 13 2002 Christian H. Toldnes <christht at trustix dot com> 1.6.6-2ct
- Minor .spec cleanup.

* Fri Apr 26 2002 Christian H. Toldnes <christht at trustix dot com>
- Update to upstream 1.6.6 to fix security issue.

* Fri Jan 18 2002 Christian H. Toldnes <christht at trustix dot com>
- Specfile cleanup. "nullok" removed. Thanks to Goetz Bock.

* Fri Jan 18 2002 Hans Almsbakk <hansa at trustix dot com>
- New upstream version: 1.6.5p1

* Tue Jan 15 2002 Erlend Midttun <erlendbm at trustix dot com>
- Upgraded to 1.6.4p1 to fix a few security issues.

* Mon Jun 11 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 1.6.3p7

* Mon Feb 26 2001 Oystein Viggen <oysteivi at trustix dot com>
- picked up 1.6.3p6 which fixes a buffer overflow

* Wed Sep 13 2000 Per Ivar Paulsen <perp at trustix dot com>
- picked up 1.6.3p5

* Mon May 22 2000 Per Ivar Paulsen <perp at trustix dot com>
- picked up 1.6.3p3
- Moved man and info pages to /usr/share adhering to FHS

* Tue Dec 14 1999 Preston Brown <pbrown@redhat.com>
- updated to 1.6.1 for Powertools 6.2
- config files are now noreplace.

* Thu Jul 22 1999 Tim Powers <timp@redhat.com>
- updated to 1.5.9p2 for Powertools 6.1

* Wed May 12 1999 Bill Nottingham <notting@redhat.com>
- sudo is configured with pam. There's no pam.d file. Oops.

* Mon Apr 26 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.59p1 for powertools 6.0

* Tue Oct 27 1998 Preston Brown <pbrown@redhat.com>
- fixed so it doesn't find /usr/bin/vi first, but instead /bin/vi (always installed)

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- built package for 5.2 

* Mon May 18 1998 Michael Maher	<mike@redhat.com>
- updated SPEC file. 

* Thu Jan 29 1998 Otto Hammersmith <otto@redhat.com>
- updated to 1.5.4

* Tue Nov 18 1997 Otto Hammersmith <otto@redhat.com>
- built for glibc, no problems

* Fri Apr 25 1997 Michael Fulbright <msf@redhat.com>
- Fixed for 4.2 PowerTools 
- Still need to be pamified
- Still need to move stmp file to /var/log

* Mon Feb 17 1997 Michael Fulbright <msf@redhat.com>
- First version for PowerCD.

